Subject: Re: AW: Getting the full path of a conflicting file within a custom merge driver?

From: Junio C Hamano <[email-masked]>
Date: Tue, 02 Jun 2015 10:47:35 -0700

"Gondek, Andreas" <[email-masked]> writes:

> thank you for responding this fast. I would suggest providing this
> information as an additional parameter (like %A %O %B and %L) maybe
> %P.

Yes, per-cent plus a letter is more in line with the way information
is passed to the scripts already.  Thanks for making a more sensible
counter-suggestion.  And your %P(ath) sounds like a sensible choice.

It won't be a two-liner, though, as the path is an arbitrary string,
unlike the names of the three temporary files, and needs to be
quoted for the shell.

Let me see if I can find time today to cook up something.